<?php
// $Id: mapclient.mapclient.inc,v 1.1.2.2 2008/08/12 07:26:17 openwereld Exp $

/**
 * Initialize header.
 * This mapclient function is used to add javascript files or html headers.
 */
function mapclient_init_header() {
  // Include javascript for the internal map client
  drupal_add_js(drupal_get_path('module', 'mapclient') .'/mapclient.js', 'module', 'header');
  
  // add css for internal map client
  //drupal_add_css(drupal_get_path('module', 'mapclient') .'/mapclient_client.css');
}

/**
 * Render body of map.
 */
function mapclient_render_body(&$attrs) {
//  global $maps;
  
  // remembers maps for finish
  //$maps[] = $attrs;
  
  // generate output
  $output = '';
  $style = "width: {$attrs['width']}px; height: {$attrs['height']}px;";
  $output .= '<div id="'. $attrs['id'] .'" class="'.$attrs['class'] .'" style="'. $style .'">';
  // TODO: static map? cached? suitable for teasers?
  $output .= '</div>';
  
  return $output;
}

/**
 * Finish for all maps.
 * This mapclient function is used to add javascript code in the footer.
 */
function mapclient_finish($map_count) {
  // nothing for the internal map client
}

